Get Groups
GET /obp/v7.0.0/management/groups
OBPv6.0.0-getGroups No role required Group
Get all groups. Optionally filter by bank_id.
Query parameters:
- bank_id (optional): Filter groups by bank. Use "null" or omit for system-level groups.
Requires either:
- CanGetGroupsAtAllBanks (for any/all groups)
- CanGetGroupsAtOneBank (for groups at specific bank with bank_id parameter)
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
JSON response body fields (7)
Example success response
{
"groups": [
{
"group_id": "group-id-123",
"bank_id": "gh.29.uk",
"group_name": "Teller Group",
"group_description": "Standard teller roles",
"list_of_roles": [
"CanGetCustomer",
"CanGetAccount"
],
"is_enabled": true
}
]
}Possible errors (2)
- OBP-20001: User not logged in. Authentication is required!
- OBP-50000: Unknown Error.